RPM.ECLASS(5)

NAME
rpm - convienence class for extracting RPM's

DESCRIPTION
The rpm eclass exists in order to unpack RPM's for you. This way developers dont have to keep employing their own tricks just to extract the source archives from an RPM. The eclass will define the src_unpack function and do all the unpacking for you. The unpack function will utilize either rpmoffset or rpm2cpio to unpack the RPM. If both exist on the system, then rpm2cpio will be utilized.

VARIABLES

USE_RPMOFFSET_ONLY = "[0|1]"
    If you want to force the RPM extractor to utilize rpmoffset even if rpm2cpio is detected, then just set this variable to 1.

FUNCTIONS

rpm_unpack "<file to unpack>"
    Unpack an RPM file in the same manner that unpack unpacks any other archive. The contents of the RPM will be extracted to ${WORKDIR}.

rpm_src_unpack
    This replacement for src_unpack will go through ${A} and unpack all the files. If the file is an RPM, then rpm_unpack will be called. Otherwise the default unpack function will be utilized.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/rpm.eclass

AUTHORS
Mike Frysinger <vapier@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/rpm.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $